Subject: bug#48016: closed (Re: [bug#48016] [PATCH] gnu: direnv: Install manpages)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 25 Apr 2021 17:45:01 +0000

Your bug report

#48016: [PATCH] gnu: direnv: Install manpages

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48016: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48016
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#48016] [PATCH] gnu: direnv: Install manpages
From: Leo Famulari <[email-masked]>
To: Dion Mendel <[email-masked]>
Cc: [email-masked]
Date: Sun, 25 Apr 2021 13:44:06 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Apr 25, 2021 at 07:43:08PM +0800, Dion Mendel wrote:
> The direnv package has manpages in the source repository, yet none are
> currently installed.  This patch installs the manpages.
> 
> The patch was tested by installing and running direnv locally and viewing
> the manpages with man-db.

Good catch and thanks for the patch!

> From 87fbd9f5d183b1912db186e7c5879566267655b8 Mon Sep 17 00:00:00 2001
> From: Dion Mendel <[email-masked]>
> Date: Sun, 25 Apr 2021 18:57:21 +0800
> Subject: [PATCH] gnu: direnv: Install manpages
> 
> * gnu/packages/shellutils.scm (direnv): Install manpages.

I tweaked the commit message and added you to the list authors of
'gnu/packages/shellutils.scm' ...

> +         (add-after 'install 'install-manpages
> +           (lambda* (#:key outputs #:allow-other-keys)
> +             (let* ((out (assoc-ref outputs "out"))
> +                    (man (string-append out "/share/man/man1")))
> +               (mkdir-p man)
> +               (with-directory-excursion "src/github.com/direnv/direnv"
> +                 (install-file "man/direnv.1" man)
> +                 (install-file "man/direnv-stdlib.1" man)
> +                 (install-file "man/direnv.toml.1" man)
> +               )
> +               #t)))

... and I also removed this #t because it will not be necessary soon
enough. I know that you were probably warned to include it, so I'm sorry
about the contradictory advice.

Pushed as 862a88612f903ffe5cca1213ba40010876d19c62

Subject: [PATCH] gnu: direnv: Install manpages
From: Dion Mendel <[email-masked]>
To: [email-masked]
Date: Sun, 25 Apr 2021 19:43:08 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guix,

The direnv package has manpages in the source repository, yet none are 
currently installed.  This patch installs the manpages.

The patch was tested by installing and running direnv locally and 
viewing the manpages with man-db.
>From 87fbd9f5d183b1912db186e7c5879566267655b8 Mon Sep 17 00:00:00 2001
From: Dion Mendel <[email-masked]>
Date: Sun, 25 Apr 2021 18:57:21 +0800
Subject: [PATCH] gnu: direnv: Install manpages

* gnu/packages/shellutils.scm (direnv): Install manpages.
---
 gnu/packages/shellutils.scm | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/gnu/packages/shellutils.scm b/gnu/packages/shellutils.scm
index c7a941dfa6..ec887e40fd 100644
--- a/gnu/packages/shellutils.scm
+++ b/gnu/packages/shellutils.scm
@@ -254,6 +254,17 @@ are already there.")
              ;; so delete the extra source code here.
              (delete-file-recursively "src/github.com/direnv/direnv/vendor")
              #t))
+         (add-after 'install 'install-manpages
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (man (string-append out "/share/man/man1")))
+               (mkdir-p man)
+               (with-directory-excursion "src/github.com/direnv/direnv"
+                 (install-file "man/direnv.1" man)
+                 (install-file "man/direnv-stdlib.1" man)
+                 (install-file "man/direnv.toml.1" man)
+               )
+               #t)))
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-- 
2.31.1